#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,x,i,max,min;
    scanf("%d",&n);
    scanf("%d",&x);
    int a[n];
    scanf("%d",&a[0]);
    max=a[0];
    min=a[0];
    for(i=1;i<n;i++)
    {
        scanf("%d",&a[i]);
        if(a[i]>max)
            max=a[i];
        if(a[i]<min)
            min=a[i];
    }

    if(x<=min)
        printf("%d",max-x);
    else
    {
        if(x>=max)
            printf("%d",x-min);
        else
        {
            if(x-min<max-x)
                printf("%d",2*(x-min) + max-x);
            else
                printf("%d",2*(max-x) + x-min);
        }
    }
}